org.baraza.server.sms

## Class BSMSEng

- java.lang.Object
- - java.lang.Thread
  - - org.baraza.server.sms.BSMSEng

- All Implemented Interfaces:
    gnu.io.SerialPortEventListener, Runnable, EventListener

      public class BSMSEng
      extends Thread
      implements gnu.io.SerialPortEventListener

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `CONNERR`
    `int` | `ECHO`
    `int` | `ERROR`
    `int` | `MSGL`
    `int` | `OK`
    `int` | `PHOB`
    `int` | `RMSG`
    `int` | `TIMEOUT`
    `int` | `WAIT`
    `int` | `WMSG`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BSMSEng(gnu.io.SerialPort port, BLogHandle logHandle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bufferReset()`
    `boolean` | `checkMessage()`
    `void` | `close()`
    `String` | `getMessage()`
    `int` | `getPortStatus()`
    `String` | `getSMSMessage()`
    `void` | `gotosleep(int i)`
    `void` | `run()`
    `void` | `serialEvent(gnu.io.SerialPortEvent event)`
    `void` | `setMessageNum(int i)`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OK

          public final int OK

      See Also:
        Constant Field Values

    - #### WAIT

          public final int WAIT

      See Also:
        Constant Field Values

    - #### ERROR

          public final int ERROR

      See Also:
        Constant Field Values

    - #### WMSG

          public final int WMSG

      See Also:
        Constant Field Values

    - #### RMSG

          public final int RMSG

      See Also:
        Constant Field Values

    - #### MSGL

          public final int MSGL

      See Also:
        Constant Field Values

    - #### PHOB

          public final int PHOB

      See Also:
        Constant Field Values

    - #### ECHO

          public final int ECHO

      See Also:
        Constant Field Values

    - #### TIMEOUT

          public final int TIMEOUT

      See Also:
        Constant Field Values

    - #### CONNERR

          public final int CONNERR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BSMSEng

          public BSMSEng(gnu.io.SerialPort port,
                 BLogHandle logHandle)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### gotosleep

          public void gotosleep(int i)

    - #### serialEvent

          public void serialEvent(gnu.io.SerialPortEvent event)

      Specified by:
        `serialEvent` in interface `gnu.io.SerialPortEventListener`

    - #### setMessageNum

          public void setMessageNum(int i)

    - #### checkMessage

          public boolean checkMessage()

    - #### getPortStatus

          public int getPortStatus()

    - #### bufferReset

          public void bufferReset()

    - #### getMessage

          public String getMessage()

    - #### getSMSMessage

          public String getSMSMessage()

    - #### close

          public void close()

Copyright © 2016 openBaraza. All Rights Reserved.